#ifndef SteppingAction_h
#define SteppingAction_h 1

#include "G4UserSteppingAction.hh"

class RunAction;
class DetectorConstruction;
class PrimaryGeneratorAction;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

class SteppingAction : public G4UserSteppingAction
{
public:

  SteppingAction(RunAction*, DetectorConstruction*, PrimaryGeneratorAction*);
  ~SteppingAction();
  
  void UserSteppingAction(const G4Step*);
  
private:

  RunAction*            Run;
  DetectorConstruction* Detector; 
  PrimaryGeneratorAction* Primary;
      
};

#endif




